package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrSafetyBrust;

/**
 * 安全设施-爆破片Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrSafetyBrustMapper
{
    /**
     * 查询安全设施-爆破片
     *
     * @param id 安全设施-爆破片ID
     * @return 安全设施-爆破片
     */
    public TPssrSafetyBrust selectTPssrSafetyBrustById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询安全设施-爆破片列表
     *
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 安全设施-爆破片集合
     */
    
    public List<TPssrSafetyBrust> selectTPssrSafetyBrustList(TPssrSafetyBrust tPssrSafetyBrust);

    /**
     * 新增安全设施-爆破片
     *
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 结果
     */
    public int insertTPssrSafetyBrust(TPssrSafetyBrust tPssrSafetyBrust);

    /**
     * 修改安全设施-爆破片
     *
     * @param tPssrSafetyBrust 安全设施-爆破片
     * @return 结果
     */
    public int updateTPssrSafetyBrust(TPssrSafetyBrust tPssrSafetyBrust);
    public int updateTPssrSafetyBrustByIds(TPssrSafetyBrust tPssrSafetyBrust);


    public int updateAllBySubId(TPssrSafetyBrust tPssrSafetyBrust);

    /**
     * 删除安全设施-爆破片
     *
     * @param id 安全设施-爆破片ID
     * @return 结果
     */
    public int deleteTPssrSafetyBrustById(Long id);

    /**
     * 批量删除安全设施-爆破片
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrSafetyBrustByIds(Long[] ids);
}
